import javax.io.*;
import java.io.*;
public class DeleteFunctionality extends Functionality{
    public void handleRequest(String request){
        String[] splitted = Utils.cutInput(request);
        if(splitted[0].equals(this.getKey())){
            File file = new File(splitted[1]);
            if(file.exists()){
                try{
                    CMD.out.println("Wollen Sie die Datei/ den Ordner " + file.getName() + " wirklich löschen?");
                    String input = CMD.in.readLine();
                    if(input.equals("ja")){
                        MyFileSystem.delete(file);
                        CMD.out.println("Datei wurde gelöscht!");
                    }else{
                        CMD.out.println("Abgebrochen...");
                    }
                }catch(Exception ex){ex.printStackTrace();}
            }
        }else{
            this.sendToNext(request);
        }
    }
    public String getKey(){
        return "lösche";
    }
    public String getHelp(){
        return "Löscht die angegebene Datei";
    }
}
