package javax.io.console;
import java.io.*;
/**
 * Diese Klasse bietet alle Lesefunktionen fr Antworten der Kommandozeile.
 */
public class ConsoleInput{
    ConsoleInput(){}
    /**
     * Liest eine Zeile aus dem Eingabestrom.
     * @return   Die gelesene Zeile
     */
    static String readLine() throws ConnectionException{
        if (ConsoleConnector.connected){
            String txt = null;
            try{
                txt = ConsoleConnector.reader.readLine();
            }catch(IOException ex){ex.printStackTrace();}
            return txt;
        }else{
            throw new ConnectionException("There is no connection to a running Terminal");
        }
    }
}
