import javax.io.*;
import java.io.*;
public class CopyFunctionality extends Functionality{
    public void handleRequest(String request){
        String[] splitted = Utils.cutInput(request);
        if(splitted[0].equals(this.getKey())){
            File file = new File(splitted[1]);
            if(file.exists()){
                try{
                    CMD.out.println("In welchen Ordner soll kopiert werden?");
                    String input = CMD.in.readLine();
                    File to = new File(input);
                    if(to.exists() && to.isDirectory()){
                        MyFileSystem.copy(file, to);
                    }
                }catch(Exception ex){ex.printStackTrace();}
            }
        }else{
            this.sendToNext(request);
        }
    }
    public String getKey(){
        return "kopiere";
    }
    public String getHelp(){
        return "Kopiert die angegebene Datei in den ausgewählten Ordner";
    }
}
