public class FunctionalityManager{
//Ergänzen Sie hier eine Instanz ihrer Funktion
Functionality[] functionality = {
new CloseFunctionality(),
new HelpIndexFunctionality(),
new ShowReadMeFunctionality(),
new ShowDrivesFunctionality(),
new ReadFunctionality(),
new CDDotDotFunctionality(),
new CDFunctionality(),
new ShowCurrentPathFunctionality(),
new RunFunctionality(),
new SearchFunctionality(),
new CopyFunctionality(),
new DeleteFunctionality(),
new HelpFunctionality(),

//Diese Klasse kommt dran, wenn keine andere den Befehl bearbeiten konnte
new WhatFunctionality()
};
    public FunctionalityManager(){
        this.generateFunctionalityChain();
    }
    public void generateFunctionalityChain(){
        for(int i = 0; i < (functionality.length - 1); i++){
            functionality[i].setSuccessor(functionality[(i + 1)]);
        }
    }
    public void sendRequest(String request){
        functionality[0].handleRequest(request);
    }
    public Functionality[] getRegisteredFunctionalities(){
        return functionality;
    }
}
