import javax.io.*;
public class HelpFunctionality extends Functionality{
    public void handleRequest(String request){
        String[] splitted = Utils.cutInput(request);
        if(splitted[0].equals(this.getKey())){
            Functionality[] funcs = new FunctionalityManager().getRegisteredFunctionalities();
            for(Functionality func : funcs){
                try{
                    if(splitted[1].equals(func.getKey())){
                        if(func.getHelp() != null){
                            CMD.out.println(func.getKey()+": "+func.getHelp());
                        }else{
                            CMD.out.println("Keine Hilfe für den Befehl '"+func.getKey()+"' verfügbar!");
                        }
                    }
                }catch(Exception ex){ex.printStackTrace();}
            }
        }else{
            this.sendToNext(request);
        }
    }
    public String getKey(){
        return "hilfe";
    }
    public String getHelp(){
        return "Gibt für den entsprechenden Befehl die Hilfe an";
    }
}
