import javax.io.*;
import java.io.*;
public class SearchFunctionality extends Functionality{
    public void handleRequest(String request){
        String[] splitted = Utils.cutInput(request);
        if(splitted[0].equals(this.getKey())){
            String path = splitted[1];
            if(path != null){
                try{
                    CMD.out.println("Geben Sie den Stammpfad an");
                    String input = CMD.in.readLine();
                    SearchFunctionality.search(new File(input), path);
                }catch(Exception ex){ex.printStackTrace();}
            }
        }else{
            this.sendToNext(request);
        }
    }
    public static void search(File file, String key){
        try{
            if(file.exists() && file.isDirectory()){
                if(file.listFiles() != null){
                    for(File dat : file.listFiles()){
                        if(dat.getName().equals(key)){
                            CMD.out.println(dat.getAbsolutePath());
                        }
                        if(dat.isDirectory()){
                            SearchFunctionality.search(dat, key);
                        }
                    }
                }
            }
        }catch(Exception ex){ex.printStackTrace();}
    }
    public String getKey(){
        return "suche";
    }
    public String getHelp(){
        return "Sucht vom Stammpfad aus Dateien oder Ordner";
    }
}
