import javax.io.*;
import java.io.*;
public class CopyFunctionality extends Functionality{
    public void handleRequest(String request){
        String[] splitted = Utils.cutInput(request);
        if(splitted[0].equals("kopiere")){
            File file = new File(splitted[1]);
            if(file.exists() && !file.isDirectory()){
                try{
                    CMD.out.println("Geben Sie den Pfad an, in den die Datei kopiert werden soll:");
                    String input = CMD.in.readLine();
                    File to = new File(input + file.getName());
                    if(to.exists() && to.isDirectory()){
                        MyFileSystem.copyFile(file, to);
                        CMD.out.println("Fertig!");
                    }
                }catch(Exception ex){ex.printStackTrace();}
            }
        }else{
            this.sendToNext(request);
        }
    }
}
